Subject: Re: [PATCH 00/19] netfilter: IPv6 NAT

From: Andre Tomt <[email-masked]>
Date: Sat, 25 Aug 2012 02:58:39 +0200

On 09. aug. 2012 22:08, [email-masked] wrote:
> The following patches contain an updated version of IPv6 NAT against
> Linus' current tree.

Hmmm. Looking in my crystal ball (hi #ipv6!), I predict that if this 
lands in mainline - and thus in consumer CPE/routers eventually - many 
ISP's will have little incentive to actually implement assigning of 
blocks to their consumer users like they "have to" today.

We have this wonderful chance of fixing a major problem with todays 
internet, but now we are going down this very slippery slope.

I do need this code for a experimental project myself, and acknowledge 
there may be some valid use cases, but I do not like the global 
implications one bit.

At least some big fat warnings please?

:-(